Uploaded image for project: 'Core Server'
  1. Core Server
  2. SERVER-13446

Solaris builds depend on ILLUMOS libc

    • ALL
    • Server 2.7.1

      In Oracle Solaris, this leads to this error:

      bash-3.2# ./mongodb-sunos5-x86_64-2.6.0-rc2/bin/mongod
      ld.so.1: mongod: fatal: libc.so.1: version 'ILLUMOS_0.1' not found (required by file mongodb-sunos5-x86_64-2.6.0-rc2/bin/mongod)
      ld.so.1: mongod: fatal: libc.so.1: open failed: No such file or directory
      Killed
      bash-3.2#
      

        1. test_timegm.log
          10 kB
        2. timegm.patch
          1 kB

            Assignee:
            sverch Shaun Verch
            Reporter:
            ernie.hershey@mongodb.com Ernie Hershey
            Votes:
            2 Vote for this issue
            Watchers:
            10 Start watching this issue

              Created:
              Updated:
              Resolved:

                Error rendering 'slack.nextup.jira:slack-integration-plus'. Please contact your Jira administrators.